<?php

namespace Modules\Product\Interfaces;

use Modules\Product\Models\ProductWarehouse;

interface ProductWarehouseRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): ProductWarehouse;
    public function update(array $request, ProductWarehouse $warehouse): ProductWarehouse;
    public function destroy(ProductWarehouse $warehouse): void;
    public function destroyAll(array $ids): void;
    public function restore(ProductWarehouse $warehouse): void;
    public function restoreAll(array $ids): void;
}
